{: test that string assignment causes a compilation error
   if the lhs is not a string}

program e1071( output );

type
   str =  array[1..10] of char;

var
   s : str;

begin { e1071 }

   s := '1234567890'; {!!! not a string}
end. { e1071 }

